| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
Gaudi::PluginService::v1::Details::Registry::FactoryInfo Struct Reference

`#include <Gaudi/Details/PluginServiceDetailsV1.h>`

Collaboration diagram for Gaudi::PluginService::v1::Details::Registry::FactoryInfo:
[legend]

## Public Member Functions
| FactoryInfo (std::string lib, void *p=nullptr, std::string t="", std::string rt="", std::string cn="", Properties props=Properties())
FactoryInfo & | addProperty (const KeyType &k, std::string v)

## Public Attributes
std::string | library
void * | ptr
std::string | type
std::string | rtype
std::string | className
Properties | properties

## Detailed Description

Definition at line 90 of file PluginServiceDetailsV1.h.

## Constructor & Destructor Documentation

## ◆ FactoryInfo()

Gaudi::PluginService::v1::Details::Registry::FactoryInfo::FactoryInfo | ( | std::string | lib,
|  | void * | p = `nullptr`,
|  | std::string | t = `""`,
|  | std::string | rt = `""`,
|  | std::string | cn = `""`,
|  | Properties | props = `Properties()`
| ) |  |
| inline

Definition at line 91 of file PluginServiceDetailsV1.h.

93 : library( std::move( lib ) )
94 , ptr( p )
95 , type( std::move( t ) )
96 , rtype( std::move( rt ) )
97 , className( std::move( cn ) )
98 , properties( std::move( props ) ) {}
Gaudi::PluginService::v1::Details::Registry::FactoryInfo::type
std::string type
Definition: PluginServiceDetailsV1.h:102
Gaudi::PluginService::v1::Details::Registry::FactoryInfo::properties
Properties properties
Definition: PluginServiceDetailsV1.h:105
Gaudi::PluginService::v1::Details::Registry::FactoryInfo::rtype
std::string rtype
Definition: PluginServiceDetailsV1.h:103
std::move
T move(T... args)
Gaudi::PluginService::v1::Details::Registry::FactoryInfo::className
std::string className
Definition: PluginServiceDetailsV1.h:104
Gaudi::PluginService::v1::Details::Registry::FactoryInfo::ptr
void * ptr
Definition: PluginServiceDetailsV1.h:101
Gaudi::PluginService::v1::Details::Registry::FactoryInfo::library
std::string library
Definition: PluginServiceDetailsV1.h:100

## Member Function Documentation

## ◆ addProperty()

FactoryInfo& Gaudi::PluginService::v1::Details::Registry::FactoryInfo::addProperty | ( | const KeyType & | k,
|  | std::string | v
| ) |  |
| inline

Definition at line 107 of file PluginServiceDetailsV1.h.

107 {
108 properties[k] = std::move( v );
109 return *this;
110 }
Gaudi::PluginService::v1::Details::Registry::FactoryInfo::properties
Properties properties
Definition: PluginServiceDetailsV1.h:105
std::move
T move(T... args)

## Member Data Documentation

## ◆ className

std::string Gaudi::PluginService::v1::Details::Registry::FactoryInfo::className

Definition at line 104 of file PluginServiceDetailsV1.h.

## ◆ library

std::string Gaudi::PluginService::v1::Details::Registry::FactoryInfo::library

Definition at line 100 of file PluginServiceDetailsV1.h.

## ◆ properties

Properties Gaudi::PluginService::v1::Details::Registry::FactoryInfo::properties

Definition at line 105 of file PluginServiceDetailsV1.h.

## ◆ ptr

void* Gaudi::PluginService::v1::Details::Registry::FactoryInfo::ptr

Definition at line 101 of file PluginServiceDetailsV1.h.

## ◆ rtype

std::string Gaudi::PluginService::v1::Details::Registry::FactoryInfo::rtype

Definition at line 103 of file PluginServiceDetailsV1.h.

## ◆ type

std::string Gaudi::PluginService::v1::Details::Registry::FactoryInfo::type

Definition at line 102 of file PluginServiceDetailsV1.h.

The documentation for this struct was generated from the following file:

- GaudiPluginService/Gaudi/Details/PluginServiceDetailsV1.h